This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 436876 - Activation (ath0/wireless): association took too long, asking for new key
Activation (ath0/wireless): association took too long, asking for new key
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 16:58 EDT by Siim Käba
Modified: 2008-10-20 10:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 10:56:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Siim Käba 2008-03-10 16:58:41 EDT
Description of problem:
Cannot get connection to wifi networks with or without wpa. Networkmanagers
lists all networks. Then, I try to connect some of them. It asks for keyring
password. I insert it. It tries to connect, into /var/log/messages appears  
"Activation (ath0/wireless): association took too long, asking for new key"
New key window appears. I insert the wpa key. I tries to connect and again same
cycle begins.
I can get connection if I do "killall wpa_supplicant" in terminal and then
select wifi network from drop-down, but not always.
It happens with all our company standard setups - Macbook pro, latest fedora.
Cannot get connection with non-wpa networks either.

Version-Release number of selected component (if applicable):
up-to-date F8. 
NetworkManager-gnome-0.7.0-0.6.7.svn3235.fc8.x86_64
NetworkManager-0.7.0-0.6.7.svn3235.fc8.x86_64
NetworkManager-glib-0.7.0-0.6.7.svn3235.fc8.x86_64
madwifi-hal-kmdl-2.6.24.3-12.fc8-0.9.4-40_r3123.fc8.x86_64
madwifi-0.9.4-40_r3123.fc8.x86_64
madwifi-kmdl-2.6.24.3-12.fc8-0.9.4-40_r3123.fc8.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. see description of problem
  
Actual results:

Expected results:
I select wifi network and I get connection as fast as with mac of windows.

Additional info:
It started half year ago with some version update.
If you need some logs or debug info then ask.
Comment 1 Matthias Runge 2008-03-11 03:06:24 EDT
Did you try the shiny new ath5k driver?
Comment 2 Siim Käba 2008-03-11 09:15:40 EDT
It does not support this chipset (AR5418). Livna has also old version of this
driver.
Comment 3 Andrew Cathrow 2008-03-12 12:19:45 EDT
Open question as to if this is Madwifi's issue or Network manager.
I've seen this problem with madwifi where the mode is setup to either 802.11A or
Auto. I set the mode to B/G at startup and it eliminates this issue.

/sbin/iwpriv ath0 setmode 3 

Also make sure that ath5k is blacklisted in modprobe. Maybe the livna rpms do
this already?

Comment 4 Siim Käba 2008-03-13 13:51:20 EDT
ath5k is blacklisted.

"/sbin/iwpriv ath0 mode 3" did the job. Thanks.
Comment 5 Dan Williams 2008-10-20 10:56:49 EDT
Not too much that can be done with madwifi, it's not upstream and not included in Fedora.  ath9k in 2.6.27 supports the 5418 and uses the standard mac80211 stack.

Note You need to log in before you can comment on or make changes to this bug.